Bug 235036 - CVE-2007-1001 gd flaws in wbmp, JIS font handling (CVE-2007-0455)
Summary: CVE-2007-1001 gd flaws in wbmp, JIS font handling (CVE-2007-0455)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: php (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard: impact=moderate,source=internet,publi...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-03 14:40 UTC by Joe Orton
Modified: 2008-06-27 03:57 UTC (History)
0 users

Fixed In Version: RHSA-2007-0153
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-20 09:47:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0153 normal SHIPPED_LIVE Moderate: php security update 2007-04-20 09:47:08 UTC

Description Joe Orton 2007-04-03 14:40:01 UTC
+++ This bug was initially created as a clone of Bug #235028 +++

Description of problem:
An integer overflow exists in the wbmp handling in the copy of the gd library
which is bundled in the "gd" extension:

http://cvs.php.net/viewvc.cgi/php-src/ext/gd/libgd/gdhelpers.h?r1=1.2.2.3&r2=1.2.2.3.4.1&diff_format=u

-- Additional comment from jorton@redhat.com on 2007-04-03 10:11 EST --
Additionally, per bug 224607, Kees Cook from Ubuntu reported a
"off-the-end-of-string increment", which could theoretically lead ot a buffer
overflow.  This flaw would only be exploitable if a JIS-encoded font is used
when processing a special malicious string.  (CVE-2007-0455; Impact: Low)

Comment 1 Mark J. Cox 2007-04-04 09:00:51 UTC
        CVE-2007-0455 Affects: RHEL4 [#224607],Stacks
        impact=low,source=vendorsec,reported=20070124,public=20070126

        CVE-2007-1001 Affects: RHEL4 [#235028]
        impact=moderate,source=internet,public=20070310,reported=20070310


Comment 5 Red Hat Bugzilla 2007-04-20 09:47:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0153.html



Note You need to log in before you can comment on or make changes to this bug.